#
# spec file for package ghc-shakespeare
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name shakespeare
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        2.0.13
Release:        lp150.1.8
Summary:        A toolkit for making compile-time interpolated templates
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-blaze-markup-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-hspec-devel
%endif

%description
Shakespeare is a family of type-safe, efficient template languages.
Shakespeare templates are expanded at compile-time, ensuring that all
interpolated variables are in scope. Variables are interpolated according to
their type through a typeclass.

Shakespeare templates can be used inline with a quasi-quoter or in an external
file.

Note there is no dependency on haskell-src-extras. Instead Shakespeare believes
logic should stay out of templates and has its own minimal Haskell parser.

Packages that use this: xml-hamlet

Please see the documentation at
<http://www.yesodweb.com/book/shakespearean-templates> for more details.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md

%changelog
* Mon Apr 24 2017 psimons@suse.com
- Update to version 2.0.13 with cabal2obs.
* Mon Jan  9 2017 psimons@suse.com
- Update to version 2.0.12.1 with cabal2obs.
* Tue Nov 22 2016 psimons@suse.com
- Update to version 2.0.11.2 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 2.0.11.1 revision 0 with cabal2obs.
* Wed Aug 17 2016 psimons@suse.com
- Update to version 2.0.11 revision 0 with cabal2obs.
* Mon Aug  1 2016 psimons@suse.com
- Update to version 2.0.10 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 2.0.9 revision 0 with cabal2obs.
* Tue Jun 21 2016 mimi.vx@gmail.com
- update to 2.0.9
  * Better empty HTML tag list
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 2.0.8.2
* Sat Apr 16 2016 mimi.vx@gmail.com
- update to 2.0.8.1
  * Make it work with GHC-8.0
* Tue Mar 29 2016 mimi.vx@gmail.com
- update to 2.0.8
  * Improve docs in Text.Hamlet
* Sat Nov 14 2015 mimi.vx@gmail.com
- initial commit
